Loading...
Searching...
No Matches
XrdOucPListAnchor Class Reference

`#include <XrdOucPList.hh>`

Inheritance diagram for XrdOucPListAnchor:
Collaboration diagram for XrdOucPListAnchor:

## Public Member Functions

| XrdOucPListAnchor (unsigned long long dfx=0)
| ~XrdOucPListAnchor ()
XrdOucPList * | About (const char *pathname)
unsigned long long | Default ()
void | Default (unsigned long long x)
void | Defstar (unsigned long long x)
void | Empty (XrdOucPList *newlist=0)
unsigned long long | Find (const char *pathname)
XrdOucPList * | First ()
void | Insert (XrdOucPList *newitem)
XrdOucPList * | Match (const char *pathname)
int | NotEmpty ()
Public Member Functions inherited from XrdOucPList
| XrdOucPList (const char *pd, const char *pn)
| XrdOucPList (const char *pd="", unsigned long long fv=0)
| ~XrdOucPList ()
int | Attr ()
unsigned long long | Flag ()
const char * | Name ()
XrdOucPList * | Next ()
char * | Path ()
int | PathOK (const char *pd, const int pl)
int | Plen ()
void | Set (const char *pd, const char *pn)
void | Set (int aval)
void | Set (unsigned long long fval)

## Detailed Description

Definition at line 88 of file XrdOucPList.hh.

## Constructor & Destructor Documentation

## XrdOucPListAnchor()

XrdOucPListAnchor::XrdOucPListAnchor | ( | unsigned long long | dfx = 0 | ) |

inline

Definition at line 143 of file XrdOucPList.hh.

: dflts(dfx), dstrs(dfx) {}

## ~XrdOucPListAnchor()

XrdOucPListAnchor::~XrdOucPListAnchor | ( |  | ) |

inline

Definition at line 145 of file XrdOucPList.hh.

{}

## Member Function Documentation

## About()

XrdOucPList * XrdOucPListAnchor::About | ( | const char * | pathname | ) |

inline

Definition at line 92 of file XrdOucPList.hh.

{int plen = strlen(pathname);
XrdOucPList *p = next;
while(p) {if (p->PathOK(pathname, plen)) break;
p=p->next;
}
return p;
}
XrdOucPList::PathOK
int PathOK(const char *pd, const int pl)
Definition XrdOucPList.hh:48
XrdOucPList::XrdOucPList
XrdOucPList(const char *pd="", unsigned long long fv=0)
Definition XrdOucPList.hh:63

References XrdOucPList::XrdOucPList(), and XrdOucPList::PathOK().

Here is the call graph for this function:

## Default() [1/2]

unsigned long long XrdOucPListAnchor::Default | ( |  | ) |

inline

Definition at line 103 of file XrdOucPList.hh.

{return dflts;}

## Default() [2/2]

void XrdOucPListAnchor::Default | ( | unsigned long long | x | ) |

inline

Definition at line 101 of file XrdOucPList.hh.

{dflts = x;}

## Defstar()

void XrdOucPListAnchor::Defstar | ( | unsigned long long | x | ) |

inline

Definition at line 104 of file XrdOucPList.hh.

{dstrs = x;}

## Empty()

void XrdOucPListAnchor::Empty | ( | XrdOucPList * | newlist = 0 | ) |

inline

Definition at line 106 of file XrdOucPList.hh.

{XrdOucPList *p = next;
while(p) {next = p->next; delete p; p = next;}
next = newlist;
}

References XrdOucPList::XrdOucPList().

Here is the call graph for this function:

## Find()

unsigned long long XrdOucPListAnchor::Find | ( | const char * | pathname | ) |

inline

Definition at line 112 of file XrdOucPList.hh.

{int plen = strlen(pathname);
XrdOucPList *p = next;
while(p) {if (p->PathOK(pathname, plen)) break;
p=p->next;
}
if (p) return p->flags;
return (*pathname == '/' ? dflts : dstrs);
}

References XrdOucPList::XrdOucPList(), and XrdOucPList::PathOK().

Here is the call graph for this function:

## First()

XrdOucPList * XrdOucPListAnchor::First | ( |  | ) |

inline

Definition at line 132 of file XrdOucPList.hh.

{return next;}

References XrdOucPList::XrdOucPList().

Here is the call graph for this function:

## Insert()

void XrdOucPListAnchor::Insert | ( | XrdOucPList * | newitem | ) |

inline

Definition at line 134 of file XrdOucPList.hh.

{XrdOucPList *pp = 0, *cp = next;
while(cp && newitem->pathlen < cp->pathlen) {pp=cp;cp=cp->next;}
if (pp) {newitem->next = pp->next; pp->next = newitem;}
else {newitem->next = next; next = newitem;}
}

References XrdOucPList::XrdOucPList().

Referenced by XrdOucExport::ParsePath().

Here is the call graph for this function:
Here is the caller graph for this function:

## Match()

XrdOucPList * XrdOucPListAnchor::Match | ( | const char * | pathname | ) |

inline

Definition at line 122 of file XrdOucPList.hh.

{int plen = strlen(pathname);
XrdOucPList *p = next;
while(p) {if (p->pathlen == plen
&& !strcmp(p->path, pathname)) break;
p=p->next;
}
return p;
}

References XrdOucPList::XrdOucPList().

Referenced by XrdOucExport::ParsePath().

Here is the call graph for this function:
Here is the caller graph for this function:

## NotEmpty()

int XrdOucPListAnchor::NotEmpty | ( |  | ) |

inline

Definition at line 141 of file XrdOucPList.hh.

{return next != 0;}

The documentation for this class was generated from the following file:

- XrdOucPList.hh